Get all distributions
curl --request GET \
--url https://api.maalbar.dk/v1/logistics/distributions \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/logistics/distributions';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"publicId": "countryShare_xxxxxxxxxxxx",
"name": "<string>",
"period": "<string>",
"toDate": "2023-11-07T05:31:56Z",
"fromDate": "2023-11-07T05:31:56Z",
"default": true,
"status": "Draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123
}
}{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}Distributions
Get all distributions
Get all distributions for the current customer. Paginated with defaults page=1, pageSize=50
GET
/
logistics
/
distributions
Get all distributions
curl --request GET \
--url https://api.maalbar.dk/v1/logistics/distributions \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/logistics/distributions';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"publicId": "countryShare_xxxxxxxxxxxx",
"name": "<string>",
"period": "<string>",
"toDate": "2023-11-07T05:31:56Z",
"fromDate": "2023-11-07T05:31:56Z",
"default": true,
"status": "Draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123
}
}{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}